# saga::stream::attributes Namespace Reference

Available attributes defined for the Stream API package. More...

## Variables
char const *const | stream_bufsize = "Bufsize"
char const *const | stream_timeout = "Timeout"
char const *const | stream_blocking = "Blocking"
char const *const | stream_compression = "Compression"
char const *const | stream_nodelay = "Nodelay"
char const *const | stream_reliable = "Reliable"
char const *const | stream_state_unknown = "Unknown"
char const *const | stream_state_new = "New"
char const *const | stream_state_open = "open"
char const *const | stream_state_closed = "Closed"
char const *const | stream_state_dropped = "Dropped"
char const *const | stream_state_error = "Error"

## Detailed Description

Available attributes defined for the Stream API package.

## Variable Documentation

char const* const saga::stream::attributes::stream_bufsize = "Bufsize"

char const* const saga::stream::attributes::stream_timeout = "Timeout"

char const* const saga::stream::attributes::stream_blocking = "Blocking"

char const* const saga::stream::attributes::stream_compression = "Compression"

char const* const saga::stream::attributes::stream_nodelay = "Nodelay"

char const* const saga::stream::attributes::stream_reliable = "Reliable"

char const* const saga::stream::attributes::stream_state_unknown = "Unknown"

char const* const saga::stream::attributes::stream_state_new = "New"

char const* const saga::stream::attributes::stream_state_open = "open"

char const* const saga::stream::attributes::stream_state_closed = "Closed"

char const* const saga::stream::attributes::stream_state_dropped = "Dropped"

char const* const saga::stream::attributes::stream_state_error = "Error"